رفع مشکل دیتابیس پکیج های YUM در لینوکس

رفع مشکل دیتابیس پکیج های YUM در لینوکس

مرتضی حبیبی

شاید برخی از شما همراهان هنگام وارد کردن دستور YUM در سرور لینوکس با خطا مواجه می شوید و نمی دانید به چه دلیل این خطا را مشاهده می کنید. ما به شما همراهان عزیز شتابان هاست نحوه رفع مشکل دیتابیس خراب پکیج های YUM را به شما آموزش می دهیم. ما را همراهی کنید.

برای رفع مشکل دیتابیس پکیج های YUM در لینوکس  مراحل زیر را طی کنید:

دلایل خرابی دیتابیس پکیج های YUM :

پرشدن دیسک یا خاموش شدن ناگهانی یا کرش کردن سرور در زمان استفاده از دستورات است ولی نگران نباشید ما شما آموزش می دهیم که این مشکل را برطرف کنید.

برخی از ارور ها: 

root :/ # yum update

error: db5 error(11) from dbenv->open: Resource temporarily unavailable

error: cannot open Packages index using db5 – Resource temporarily unavailable (11)

error: cannot open Packages database in /var/lib/rpm

CRITICAL:yum.main:

Error: rpmdb open failed

برای رفع مشکل از دستور زیر استفاده کنید تا این خطا را برطرف کنید:

root :/ # rpm –rebuilddb

به همین راحتی می توانید این خطا را برطرف کنید. اگر دستور yum update را وارد کنید در صورت درست شدن با متن زیر مواجه می شوید:

root  # yum update

Loaded plugins: fastestmirror

Determining fastest mirrors

epel/x86_64/metalink | 7.0 kB 00:00:00

* base: mirror.radoreservers.com

* epel: mirror.rasanegar.com

* extras: mirror.radoreservers.com

* rpmforge: mirror1.hs-esslingen.de

* updates: mirror.centos.jt.iq

base | 3.6 kB 00:00:00

epel | 5.4 kB 00:00:00

extras | 2.9 kB 00:00:00

rpmforge | 1.9 kB 00:00:00

updates …

احتمال ۹۰ درصد این خط ها را مشاهده خواهید کرد.

برای مطالعه نصب رابط کاربری در CentOS 7 به این لینک مراجعه کنید. امیدواریم از این مقاله بهره لازم را برده و برای شما مفید بوده باشد.

ما را در شتابان هاست دنبال کنید.

برچسب ها: SSh

  • فریاد گفت:

    سلام استاد شرمنده من به کمک نیاز دارم من دقیقا با همین مشکل مواجه شدم کد بالا رو که فرمودید میزنم ولی در نهایت که کدyum update رو میزنم کد کامل اعمال نمیشه و این نوشته رو میاره اخر سرe
    —> Package kernel.x86_64 0:3.10.0-1127.19.1.el7 will be installed
    —> Package kernel-tools.x86_64 0:3.10.0-1127.10.1.el7 will be updated
    —> Package kernel-tools.x86_64 0:3.10.0-1127.19.1.el7 will be an update

    Killed

    لطفا به من کمک بکنید ممنون